Runtimes
Register a runtime harness
POST
/
api
/
runtime-harnesses
Register a runtime harness
curl --request POST \
--url https://litellm-rust.onrender.com/api/runtime-harnesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_base": "http://opencode:8080",
"api_key": "local-opencode-key"
}
'import requests
url = "https://litellm-rust.onrender.com/api/runtime-harnesses"
payload = {
"api_base": "http://opencode:8080",
"api_key": "local-opencode-key"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_base: 'http://opencode:8080', api_key: 'local-opencode-key'})
};
fetch('https://litellm-rust.onrender.com/api/runtime-harnesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"harnesses": [
{
"alias": "local-opencode",
"api_spec": "claude_managed_agents",
"display_name": "local-opencode",
"api_base": "http://opencode:8080",
"is_default": true,
"connected": true,
"masked_api_key": "<string>",
"tools": [
{}
]
}
]
}⌘I
Register a runtime harness
curl --request POST \
--url https://litellm-rust.onrender.com/api/runtime-harnesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_base": "http://opencode:8080",
"api_key": "local-opencode-key"
}
'import requests
url = "https://litellm-rust.onrender.com/api/runtime-harnesses"
payload = {
"api_base": "http://opencode:8080",
"api_key": "local-opencode-key"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_base: 'http://opencode:8080', api_key: 'local-opencode-key'})
};
fetch('https://litellm-rust.onrender.com/api/runtime-harnesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"harnesses": [
{
"alias": "local-opencode",
"api_spec": "claude_managed_agents",
"display_name": "local-opencode",
"api_base": "http://opencode:8080",
"is_default": true,
"connected": true,
"masked_api_key": "<string>",
"tools": [
{}
]
}
]
}